Subject: Re: [PATCH v6 02/10] replace: add --graft option

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Jul 2014 07:22:32 -0700

Christian Couder <[email-masked]> writes:

> On Thu, Jul 10, 2014 at 7:36 PM, Junio C Hamano <[email-masked]> wrote:
>
>>> "Making sure A's parent is B" would be an
>>> idempotent operation, no?  Why not just make sure A's parent is
>>> already B and report "Your wish has been granted" to the user?
>
> ... and here you say we should report "your wish has been granted"...

Normal way for "git replace" to report that is to exit with status 0
and without any noise, I would think.

>>> Why would it be simpler for the user to get an error, inspect the
>>> situation and realize that his wish has been granted after all?
>
> ... but for me reporting to the user "your wish has been granted" and
> warning (or errorring out) saying "the new commit would be the same as
> the old one" are nearly the same thing.
>
> So I wonder what exactly you are not happy with.

See above.